[input] Need access to production database

RESOLVED FIXED

Status

mozilla.org Graveyard
Server Operations
RESOLVED FIXED
8 years ago
3 years ago

People

(Reporter: davedash, Assigned: justdave)

Tracking

Details

(Whiteboard: [waiting on reporter])

I need read-only access to the production db.  Our backups are currently out of date and are hard to use to replicate issues we see in production or even stage.

Some things are nearly impossible to figure out unless we can look at real data.

Something I can do mysqldump from would be fantastic.
I could give you a dump of the production db, if that would work. Access to production long term is something harder to do and will require me to pull in other people and discuss :)

Which would you prefer?
Assignee: server-ops → shyam
(In reply to comment #1)
> I could give you a dump of the production db, if that would work. Access to
> production long term is something harder to do and will require me to pull in
> other people and discuss :)
> 
> Which would you prefer?

The latter.  We supposedly have copies, but there's often issues that can't wait for a new dump to be created... although a button that could make a dump on command would work too.
"make me a dump."
"No."
"sudo make me a dump."
"No."
"okay, gimme access."
"No."
....

:)
OK, so I just made a trial dump off the backup server, and making a fresh dump from there on command takes under 3 minutes.  So the dump-on-command option sounds appealing right now.  So then the question becomes how to trigger it.

Another option would be to do like we do for AMO and have a dedicated slave for webdev to access.
Over to Dave, he'll setup r/o access to the DB.
Assignee: shyam → justdave
Getting a new dump to hand off to you is actually pretty easy...  getting a way to automate triggering it and getting it to you is not.  In theory it would take under 10 minutes to make a fresh dump and hand it off if done by hand by a sysadmin.  If that's acceptible to you, you could file a blocker bug to get the dump made when you come across a situation where you really need one.
10mins is acceptable, but in the meantime we have daily dumps that usually suffice- but those seemed to have no new data since November 10th (on cm-webdev01).  So I'd say if we can take care of that, then this would be a workable solution for me.
I think a low-priority nagios alert might be helpful at keeping these dumps from breaking?
(In reply to comment #7)
> but those seemed to have no new data since November 10th (on cm-webdev01).

Are you sure?

[root@cm-webdev01-master01 input_mozilla_com]# pwd
/data/backup-drop/a01/mysql/input_mozilla_com
[root@cm-webdev01-master01 input_mozilla_com]# ls -l
total 217688
-rw-r--r-- 1 root root        0 Nov 24 05:09 drop-complete
-rwxr-xr-x 1 root root 54979543 Nov 20 06:57 input_mozilla_com.2010.11.20.sql.gz
-rwxr-xr-x 1 root root 55421070 Nov 21 07:09 input_mozilla_com.2010.11.21.sql.gz
-rwxr-xr-x 1 root root 55891043 Nov 22 06:57 input_mozilla_com.2010.11.22.sql.gz
-rwxr-xr-x 1 root root 56368543 Nov 23 06:58 input_mozilla_com.2010.11.23.sql.gz
Whiteboard: [waiting on reporter]
Assuming this is all set based on comment 9, reopen if not
Status: NEW → RESOLVED
Last Resolved: 8 years ago
Resolution: --- → FIXED
Product: mozilla.org → mozilla.org Graveyard
You need to log in before you can comment on or make changes to this bug.